module.exports = {
    root: true,
    env: {
        node: true,
        browser: true
    },
    extends: [
        "plugin:vue/recommended",
        "eslint:recommended",
        "prettier/vue",
        "plugin:prettier/recommended"
    ],
    rules: {
        "no-unused-vars": 'off',
        "vue/component-name-in-template-casing": ["error", "PascalCase"],
        "no-console": process.env.NODE_ENV === "production" ? "error" : "off",
        "no-debugger": process.env.NODE_ENV === "production" ? "error" : "off",
        //强制使用单引号
        quotes: [0, 'single'],
        //强制不使用分号结尾
        semi: [0, 'never'],
        'prettier/prettier': [
            0,
            {
                singleQuote: true,
                trailingComma: 'none',
                bracketSpacing: true,
                jsxBracketSameLine: true,
                parser: 'flow',
            },
        ],
    },
    globals: {
        cash: true,
        $nuxt: true
    },
    parserOptions: {
        parser: "babel-eslint"
    }
};